<?php

function bp_dedication_directory_setup() {
	if ( bp_is_dedication_component() && !bp_current_action() && !bp_current_item() ) {
		// This wrapper function sets the $bp->is_directory flag to true, which help other
		// content to display content properly on your directory.
		bp_update_is_directory( true, BP_DEDICATION_SLUG );

		// Add an action so that plugins can add content or modify behavior
		do_action( 'bp_dedication_directory_setup' );

		bp_core_load_template( apply_filters( 'bp_dedication_template_index', 'dedications/index' ) );
	}
}
add_action( 'bp_screens', 'bp_dedication_directory_setup' );

function bp_dedication_index() {
	global $bp;

	do_action( 'bp_dedication_index' );
        
	add_action( 'bp_template_title', 'bp_dedication_index_title' );
	add_action( 'bp_template_content', 'bp_dedication_index_content' );
        bp_core_load_template( apply_filters( 'bp_core_template_plugin', 'dedications/index' ) );
}

        function bp_dedication_index_title() {
            ?>
            <h4><?php _e( 'My dedications', 'bp-dedication' ); ?>
            <?php
	}

	function bp_dedication_index_content() {
                if (!locate_template( 'dedications/single/home.php', true )) {
                    die();
                }
                
		/**
		 * For security reasons, we MUST use the wp_nonce_url() function on any actions.
		 * This will stop naughty people from tricking users into performing actions without their
		 * knowledge or intent.
		 */
		//$send_link = wp_nonce_url( $bp->displayed_user->domain . $bp->current_component . '/screen-one/send-h5', 'bp_example_send_high_five' );
        }


function bp_dedication_my_dedications() {
	global $bp;

	do_action( 'bp_dedication_my_dedications' );
        
	add_action( 'bp_template_title', 'bp_dedication_my_dedications_title' );
	add_action( 'bp_template_content', 'bp_dedication_my_dedications_content' );
        bp_core_load_template( apply_filters( 'bp_core_template_plugin', 'dedications/index' ) );
}

        function bp_dedication_my_dedications_title() {
            ?>
            <h4><?php _e( 'My dedications', 'bp-dedication' ); ?>
            <?php
	}

	function bp_dedication_my_dedications_content() {
                if (!locate_template( 'dedications/single/my-dedications.php', true )) {
                    die();
                }
                
		/**
		 * For security reasons, we MUST use the wp_nonce_url() function on any actions.
		 * This will stop naughty people from tricking users into performing actions without their
		 * knowledge or intent.
		 */
		//$send_link = wp_nonce_url( $bp->displayed_user->domain . $bp->current_component . '/screen-one/send-h5', 'bp_example_send_high_five' );
        }

        
function bp_dedication_dedications_to_me() {
	global $bp;

	do_action( 'bp_dedication_dedications_to_me' );
        
	add_action( 'bp_template_title', 'bp_dedication_dedications_to_me_title' );
	add_action( 'bp_template_content', 'bp_dedication_dedications_to_me_content' );
        bp_core_load_template( apply_filters( 'bp_core_template_plugin', 'dedications/index' ) );
}

        function bp_dedication_dedications_to_me_title() {
            ?>
            <h4><?php _e( 'Dedicated 2u', 'bp-dedication' ); ?>
            <?php
	}

	function bp_dedication_dedications_to_me_content() {
                if (!locate_template( 'dedications/single/dedicated-2-me.php', true )) {
                    die();
                }
        }
        
function bp_dedication_new_dedication() {
	global $bp;

	if ( bp_is_dedication_component() && bp_is_current_action( 'new-dedication' ) && bp_is_action_variable( 'create', 0 ) ) {
            
            if (bp_dedication_create_new_dedication()) {
                bp_core_add_message( __( 'Your dedication was created!', 'bp-dedication' ) );
                bp_core_redirect( bp_loggedin_user_domain() . bp_get_dedication_slug());
            } else {
                
            }
	}

	do_action( 'bp_dedication_new_dedication' );
        
	add_action( 'bp_template_title', 'bp_dedication_new_dedication_title' );
	add_action( 'bp_template_content', 'bp_dedication_new_dedication_content' );
        bp_core_load_template( apply_filters( 'bp_core_template_plugin', 'dedications/index' ) );
}

	function bp_dedication_new_dedication_title() {
            ?>
            <h4><?php _e( 'New dedication', 'bp-dedication' ); ?>
            <?php
	}

	function bp_dedication_new_dedication_content() {
            locate_template( 'dedications/single/new-dedication.php', true );
	}


/**
 * The following screen functions are called when the Settings subpanel for this component is viewed
 */
function bp_example_screen_settings_menu() {
	global $bp, $current_user, $bp_settings_updated, $pass_error;

	if ( isset( $_POST['submit'] ) ) {
		/* Check the nonce */
		check_admin_referer('bp-example-admin');

		$bp_settings_updated = true;

		/**
		 * This is when the user has hit the save button on their settings.
		 * The best place to store these settings is in wp_usermeta.
		 */
		update_user_meta( $bp->loggedin_user->id, 'bp-example-option-one', attribute_escape( $_POST['bp-example-option-one'] ) );
	}

	add_action( 'bp_template_content_header', 'bp_example_screen_settings_menu_header' );
	add_action( 'bp_template_title', 'bp_example_screen_settings_menu_title' );
	add_action( 'bp_template_content', 'bp_example_screen_settings_menu_content' );

	bp_core_load_template( apply_filters( 'bp_core_template_plugin', 'members/single/plugins' ) );
}

	function bp_example_screen_settings_menu_header() {
		_e( 'Example Settings Header', 'bp-example' );
	}

	function bp_example_screen_settings_menu_title() {
		_e( 'Example Settings', 'bp-example' );
	}

	function bp_example_screen_settings_menu_content() {
		global $bp, $bp_settings_updated; ?>

		<?php if ( $bp_settings_updated ) { ?>
			<div id="message" class="updated fade">
				<p><?php _e( 'Changes Saved.', 'bp-example' ) ?></p>
			</div>
		<?php } ?>

		<form action="<?php echo $bp->loggedin_user->domain . 'settings/example-admin'; ?>" name="bp-example-admin-form" id="account-delete-form" class="bp-example-admin-form" method="post">

			<input type="checkbox" name="bp-example-option-one" id="bp-example-option-one" value="1"<?php if ( '1' == get_user_meta( $bp->loggedin_user->id, 'bp-example-option-one', true ) ) : ?> checked="checked"<?php endif; ?> /> <?php _e( 'Do you love clicking checkboxes?', 'bp-example' ); ?>
			<p class="submit">
				<input type="submit" value="<?php _e( 'Save Settings', 'bp-example' ) ?> &raquo;" id="submit" name="submit" />
			</p>

			<?php
			/* This is very important, don't leave it out. */
			wp_nonce_field( 'bp-example-admin' );
			?>

		</form>
	<?php
	}
?>